Bug 218036 - r436625 breaks net/hostapd
Summary: r436625 breaks net/hostapd
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Cy Schubert
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-03-23 11:46 UTC by Cy Schubert
Modified: 2017-03-30 01:50 UTC (History)
6 users (show)

See Also:
bugzilla: maintainer-feedback? (leres)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Cy Schubert freebsd_committer 2017-03-23 11:46:04 UTC
Script started on Wed Mar 22 18:34:10 2017
slippy# make
===>  License BSD3CLAUSE accepted by the user
===>   hostapd-2.6 depends on file: /usr/local/sbin/pkg - found
===> Fetching all distfiles required by hostapd-2.6 for building
===>  Extracting for hostapd-2.6
=> SHA256 Checksum OK for hostapd-2.6.tar.gz.
===>  Patching for hostapd-2.6
===>  Applying FreeBSD patches for hostapd-2.6
===>   hostapd-2.6 depends on executable: gmake - found
===>   hostapd-2.6 depends on file: /usr/local/lib/libcrypto.so.9 - found
===>  Configuring for hostapd-2.6
===>  Building for hostapd-2.6
gmake[1]: Entering directory '/export/wrkdir/amd64/usr/ports/net/hostapd/wor
k/hostapd-2.6/hostapd'
  cc  ../src/ap/hostapd.c
  cc  ../src/ap/wpa_auth_glue.c
  cc  config_file.c
  cc  main.c
  cc  ../src/ap/utils.c
  cc  ../src/ap/authsrv.c
  cc  ../src/ap/ap_drv_ops.c
  cc  ../src/ap/drv_callbacks.c
  cc  ../src/ap/eap_user_db.c
  cc  ../src/ap/ieee802_11_auth.c
  cc  ../src/ap/ap_config.c
  cc  ../src/ap/sta_info.c
  cc  ../src/ap/tkip_countermeasures.c
  cc  ../src/ap/ap_mlme.c
  cc  ../src/ap/preauth_auth.c
  cc  ../src/ap/wpa_auth_ie.c
  cc  ../src/ap/pmksa_cache_auth.c
  cc  ../src/ap/wpa_auth.c
  cc  ../src/ap/bss_load.c
  cc  ../src/ap/beacon.c
  cc  ../src/ap/ieee802_1x.c
  cc  ../src/ap/ieee802_11_shared.c
  cc  ../src/ap/neighbor_db.c
  cc  ../src/drivers/drivers.c
  cc  ../src/ap/rrm.c
  cc  ../src/utils/wpa_debug.c
  cc  ../src/utils/wpabuf.c
  cc  ../src/utils/ip_addr.c
  cc  ../src/utils/eloop.c
  cc  ../src/utils/common.c
  cc  ../src/utils/os_unix.c
  cc  ../src/common/ieee802_11_common.c
  cc  ../src/common/wpa_common.c
  cc  ../src/eapol_auth/eapol_auth_dump.c
  cc  ../src/common/hw_features_common.c
  cc  ../src/radius/radius_client.c
  cc  ../src/radius/radius.c
  cc  ../src/ap/accounting.c
  cc  ../src/radius/radius_das.c
  cc  ../src/ap/vlan_init.c
  cc  ../src/eapol_auth/eapol_auth_sm.c
  cc  ../src/ap/vlan.c
  cc  ../src/common/ctrl_iface_common.c
  cc  ../src/ap/ctrl_iface_ap.c
  cc  ../src/ap/vlan_ifconfig.c
  cc  ../src/eap_server/eap_server_md5.c
  cc  ../src/eap_server/eap_server_tls.c
  cc  ctrl_iface.c
  cc  ../src/eap_common/eap_peap_common.c
  cc  ../src/eap_server/eap_server_peap.c
  cc  ../src/eap_server/eap_server_mschapv2.c
  cc  ../src/eap_server/eap_server_gtc.c
  cc  ../src/eap_server/eap_server_ttls.c
  cc  eap_register.c
  cc  ../src/eap_common/eap_common.c
../src/l2_packet/l2_packet_freebsd.c:148:36: error: use of undeclared 
identifier
      'BIOCIMMEDIATE'
                if (ioctl(pcap_fileno(l2->pcap), BIOCIMMEDIATE, &on) < 0) {
                                                 ^
error generated.
Makefile:1036: recipe for target '../src/l2_packet/l2_packet_freebsd.o' 
failed
gmake[1]: *** [../src/l2_packet/l2_packet_freebsd.o] Error 1
gmake[1]: *** Waiting for unfinished jobs....
  cc  ../src/eap_server/eap_server_methods.c
  cc  ../src/drivers/driver_bsd.c
  cc  ../src/eap_server/eap_server.c
gmake[1]: Leaving directory '/export/wrkdir/amd64/usr/ports/net/hostapd/work
/hostapd-2.6/hostapd'
===> Compilation failed unexpectedly.
Try to set MAKE_JOBS_UNSAFE=yes and rebuild before reporting the failure to
the maintainer.
*** Error code 1

Stop.
make: stopped in /usr/ports/net/hostapd
slippy# uname -a
FreeBSD slippy 12.0-CURRENT FreeBSD 12.0-CURRENT #40 r315694M: Tue Mar 21 
19:25:46 PDT 2017     root@slippy:/export/obj/opt/src/svn-current/sys/BREAK 
 amd64
slippy# exit

Script done on Wed Mar 22 18:36:17 2017
Comment 1 Craig Leres freebsd_committer 2017-03-23 19:49:34 UTC
I added the patch back and re-tested building with poudriere on one of my build servers and it builds clean. I'm not sure what I did wrong before.

Can we just get the patch back from subversion or do I need to submit a new patch?
Comment 2 Cy Schubert freebsd_committer 2017-03-23 20:41:20 UTC
(In reply to leres from comment #1)
Yes, that is possible.

The plan of action will be to resurrect the patch, test on FreeBSD 10, 11 and 12 (I have all here), use #if if need be. Does that sound reasonable?
Comment 3 Craig Leres freebsd_committer 2017-03-23 20:43:06 UTC
(In reply to Cy Schubert from comment #2)
Yes, thanks!
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2017-03-23 22:19:50 UTC
Notify committer of r436625.
Comment 5 Kirill Ponomarev freebsd_committer 2017-03-23 22:56:20 UTC
I still don't understand why I can build it cleanly on current and 11-stable and you can't, I'll try to investigate tomorrow
Comment 6 Cy Schubert freebsd_committer 2017-03-29 01:55:48 UTC
Committed fix.
Comment 7 commit-hook freebsd_committer 2017-03-29 13:54:52 UTC
A commit references this bug:

Author: cy
Date: Wed Mar 29 01:49:02 UTC 2017
New revision: 437179
URL: https://svnweb.freebsd.org/changeset/ports/437179

Log:
  Fix build broken by r436625.

  PR:		218036

Changes:
  head/net/hostapd/files/patch-src-l2_packet-l2_packet_freebsd.c
Comment 8 commit-hook freebsd_committer 2017-03-30 01:50:18 UTC
A commit references this bug:

Author: junovitch
Date: Thu Mar 30 01:50:00 UTC 2017
New revision: 437265
URL: https://svnweb.freebsd.org/changeset/ports/437265

Log:
  MFH: r437179

  Fix build broken by r436625.

  PR:		218036
  Approved by:	ports-secteam (with hat)

Changes:
_U  branches/2017Q1/
  branches/2017Q1/net/hostapd/files/patch-src-l2_packet-l2_packet_freebsd.c